Issue 34703 - XSLT filter don't work with Java 5
XSLT filter don't work with Java 5
Status: CLOSED FIXED
Product: xml
Classification: Code
Component: external filters
680m54
All All
: P3 trivial (vote)
: OOo 2.0
Assigned To: oc
issues@xml
:
Depends on: 36335
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-28 09:17 UTC by svante.schubert
Modified: 2004-11-29 15:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description svante.schubert 2004-09-28 09:17:35 UTC
Using a XSLT filter ends up with a General Input/Output error.
The setup of a log reveals the following exception:
java.lang.IllegalArgumentException: The value of param sourceURL must be a valid
Java Object
	at
com.sun.org.apache.xalan.internal.xsltc.trax.TransformerImpl.setParameter(Unknown
Source)
	at XSLTransformer$1.run(XSLTransformer.java:272)

This occurs as 'null' is not allowed as a parameter value.
'null' is seen as an invalid object, the reason that it worked in Java 1.4, was
an issue in Java.
Making this fix on the XSLTTransformer.java.
Comment 1 svante.schubert 2004-10-29 15:54:04 UTC
Started
Comment 2 svante.schubert 2004-11-06 12:16:43 UTC
What has been done:
Aside of the usage of Xalan2.6, the source of a null pointer exception under
Java 5 was removed in XSLTransformer.java. No 'null' is any longer allowed as
parameter of a XSL transformation/processor, as 'null' is an invalid Java object.
Comment 3 svante.schubert 2004-11-06 12:17:00 UTC
Tested under Windows with Java 5.
Comment 4 oc 2004-11-15 14:26:28 UTC
verifie d in internal build cws_xsltfilter04
Comment 5 oc 2004-11-29 15:54:26 UTC
closed because fix available in OOo1.9m63